%if 0%{?fedora} < 13
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           fig
Version:        0.5.1
Release:        2%{?dist}
Summary:        Punctual, lightweight development environments using Docker

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://orchardup.github.io/fig
Source0:        https://pypi.python.org/packages/source/f/fig/fig-0.5.1.tar.gz

Patch0:         fedora-requirements.patch

BuildRequires:  python-devel python-setuptools 
Requires:       python-setuptools
Requires:       python-dockerpty            >= 0.2.1
Requires:       python-texttable            >= 0.8.1
Requires:       python-docopt               >= 0.6.1
Requires:       python-requests             >= 2.2.1
Requires:       python-websocket-client     >= 0.11.0
Requires:       PyYAML                      >= 3.10

# require the docker binary due to docker vs docker-io package name difference
# between Fedora and RHEL7/CentOS7
Requires:       %{_bindir}/docker

# Build only for architectures that docker functions on since this is a hard
# requirement for fig and at this time, only x86_64 is supported by docker
# upstream (docker.io)
ExclusiveArch:  x86_64

%description
Punctual, lightweight development environments using Docker

%prep
%setup -q 

%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
%{__python} setup.py test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc PKG-INFO CHANGES.md CONTRIBUTING.md Dockerfile README.md LICENSE MANIFEST.in setup.cfg tox.ini requirements-dev.txt requirements.txt
%{_bindir}/%{name}
%{python_sitelib}/%{name}*

%changelog
* Tue Aug 12 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.5.1-2
- Change Requires for docker to handle both Fedora and EL7
- Update file listings to match packager guidelines

* Wed Jul 23 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.5.1-1
- Initial package for Fedora
